Search for session

  1. Search 7.x for session
  2. Search 9.5.x for session
  3. Search 8.9.x for session
  4. Search 10.3.x for session
  5. Search main for session
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
session service core/core.services.yml Symfony\Component\HttpFoundation\Session\Session
Session class core/lib/Drupal/Core/StackMiddleware/Session.php Wrap session logic around a HTTP request.

All search results

Title Object type File name Summary
access_check.menu_test_session service core/modules/system/tests/modules/menu_test/menu_test.services.yml Drupal\menu_test\Access\AccessCheck
AccountSwitcher::$originalSessionSaving property core/lib/Drupal/Core/Session/AccountSwitcher.php The original state of session saving prior to account switching.
AnonymousUserSession class core/lib/Drupal/Core/Session/AnonymousUserSession.php An account implementation representing an anonymous user.
AnonymousUserSession.php file core/lib/Drupal/Core/Session/AnonymousUserSession.php
AnonymousUserSession::__construct function core/lib/Drupal/Core/Session/AnonymousUserSession.php Constructs a new anonymous user session.
AnonymousUserSessionTest class core/tests/Drupal/Tests/Core/Session/AnonymousUserSessionTest.php Tests Drupal\Core\Session\AnonymousUserSession.
AnonymousUserSessionTest.php file core/tests/Drupal/Tests/Core/Session/AnonymousUserSessionTest.php
AnonymousUserSessionTest::testUserGetRoles function core/tests/Drupal/Tests/Core/Session/AnonymousUserSessionTest.php Tests the method getRoles exclude or include locked roles based in param.
BigPipeStrategy::$sessionConfiguration property core/modules/big_pipe/src/Render/Placeholder/BigPipeStrategy.php The session configuration.
BigPipeTest::assertSessionCookieExists function core/modules/big_pipe/tests/src/Functional/BigPipeTest.php Asserts whether a session cookie exists or not.
BrowserTestBase::getSession function core/tests/Drupal/Tests/BrowserTestBase.php Returns Mink session.
BrowserTestBase::getSessionCookies function core/tests/Drupal/Tests/BrowserTestBase.php Get session cookies from current session.
BrowserTestBase::registerSessions function core/tests/Drupal/Tests/BrowserTestBase.php Registers additional Mink sessions.
BrowserTestBaseTest::testSessionOnRequest function core/tests/Drupal/FunctionalTests/BrowserTestBaseTest.php Tests that a usable session is on the request in test-runner.
cache_context.session service core/core.services.yml Drupal\Core\Cache\Context\SessionCacheContext
cache_context.session.exists service core/core.services.yml Drupal\Core\Cache\Context\SessionExistsCacheContext
ConfigurableLanguageManagerTest::testUrlContentTranslationWithSessionLanguage function core/modules/language/tests/src/Functional/ConfigurableLanguageManagerTest.php Tests translation with URL and Session Language Negotiators.
Cookie::$sessionConfiguration property core/modules/user/src/Authentication/Provider/Cookie.php The session configuration.
Cookie::getUserFromSession function core/modules/user/src/Authentication/Provider/Cookie.php Returns the UserSession object for the given session.
CookieResourceTestTrait::$sessionCookie property core/modules/rest/tests/src/Functional/CookieResourceTestTrait.php The session cookie.
CsrfRequestHeaderAccessCheck::$sessionConfiguration property core/lib/Drupal/Core/Access/CsrfRequestHeaderAccessCheck.php The session configuration.
CsrfTokenGenerator::$sessionMetadata property core/lib/Drupal/Core/Access/CsrfTokenGenerator.php The session metadata bag.
CsrfTokenGeneratorTest::$sessionMetadata property core/tests/Drupal/Tests/Core/Access/CsrfTokenGeneratorTest.php The mock session metadata bag.
DrupalKernel::initializeEphemeralSession function core/lib/Drupal/Core/DrupalKernel.php Initializes a session backed by in-memory store and puts it on the request.
Drupal\Core\Session\UserSessionRepositoryInterface service core/core.services.yml Drupal\Core\Session\UserSessionRepository
FunctionalTestSetupTrait::initUserSession function core/lib/Drupal/Core/Test/FunctionalTestSetupTrait.php Initializes user 1 for the site to be installed.
HttpKernelUiHelperTrait::assertSession function core/tests/Drupal/Tests/HttpKernelUiHelperTrait.php Returns WebAssert object.
HttpKernelUiHelperTrait::getSession function core/tests/Drupal/Tests/HttpKernelUiHelperTrait.php Returns Mink session.
http_middleware.session service core/core.services.yml Drupal\Core\StackMiddleware\Session
KernelTestBaseTest::testSessionOnRequest function core/tests/Drupal/KernelTests/KernelTestBaseTest.php Tests that a usable session is on the request.
LanguageNegotiationSession class core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Identify language from a request/session parameter.
LanguageNegotiationSession.php file core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php
LanguageNegotiationSession::$queryParam property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter name to rewrite.
LanguageNegotiationSession::$queryRewrite property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Flag used to determine whether query rewriting is active.
LanguageNegotiationSession::$queryValue property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter value to be set.
LanguageNegotiationSession::$requestStack property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The request stack.
LanguageNegotiationSession::create function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Creates an instance of the plugin.
LanguageNegotiationSession::getLangcode function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Performs language negotiation.
LanguageNegotiationSession::getLanguageSwitchLinks function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Returns language switch links.
LanguageNegotiationSession::METHOD_ID constant core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The language negotiation method id.
LanguageNegotiationSession::persist function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationSession::processOutbound function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Processes the outbound path.
LanguageNegotiationSession::__construct function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Constructs a LanguageNegotiationSession object.
LanguageNegotiationSessionTest class core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Tests the session language negotiation method.
LanguageNegotiationSessionTest.php file core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php
LanguageNegotiationSessionTest::$adminUser property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php An administrative user to configure the test environment.
LanguageNegotiationSessionTest::$defaultTheme property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php The theme to install as the default for testing.
LanguageNegotiationSessionTest::$modules property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Modules to install.
LanguageNegotiationSessionTest::setUp function core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php
LanguageNegotiationSessionTest::testSessionLanguageNegotiationMethod function core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Tests language negotiation via query/session parameters.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.